# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

try:
    from ._models_py3 import Account
    from ._models_py3 import AccountProperties
    from ._models_py3 import AccountSku
    from ._models_py3 import AccountSkuListResult
    from ._models_py3 import ApiKeys
    from ._models_py3 import ApiProperties
    from ._models_py3 import AzureEntityResource
    from ._models_py3 import CallRateLimit
    from ._models_py3 import CheckDomainAvailabilityParameter
    from ._models_py3 import CheckSkuAvailabilityParameter
    from ._models_py3 import DomainAvailability
    from ._models_py3 import Encryption
    from ._models_py3 import ErrorAdditionalInfo
    from ._models_py3 import ErrorDetail
    from ._models_py3 import ErrorResponse, ErrorResponseException
    from ._models_py3 import Identity
    from ._models_py3 import IpRule
    from ._models_py3 import KeyVaultProperties
    from ._models_py3 import MetricName
    from ._models_py3 import NetworkRuleSet
    from ._models_py3 import Operation
    from ._models_py3 import OperationDisplay
    from ._models_py3 import PrivateEndpoint
    from ._models_py3 import PrivateEndpointConnection
    from ._models_py3 import PrivateEndpointConnectionListResult
    from ._models_py3 import PrivateEndpointConnectionProperties
    from ._models_py3 import PrivateLinkResource
    from ._models_py3 import PrivateLinkResourceListResult
    from ._models_py3 import PrivateLinkResourceProperties
    from ._models_py3 import PrivateLinkServiceConnectionState
    from ._models_py3 import ProxyResource
    from ._models_py3 import QuotaLimit
    from ._models_py3 import RegenerateKeyParameters
    from ._models_py3 import RequestMatchPattern
    from ._models_py3 import Resource
    from ._models_py3 import ResourceSku
    from ._models_py3 import ResourceSkuRestrictionInfo
    from ._models_py3 import ResourceSkuRestrictions
    from ._models_py3 import Sku
    from ._models_py3 import SkuAvailability
    from ._models_py3 import SkuAvailabilityListResult
    from ._models_py3 import SkuCapability
    from ._models_py3 import SkuChangeInfo
    from ._models_py3 import SystemData
    from ._models_py3 import ThrottlingRule
    from ._models_py3 import TrackedResource
    from ._models_py3 import Usage
    from ._models_py3 import UsageListResult
    from ._models_py3 import UserAssignedIdentity
    from ._models_py3 import UserOwnedStorage
    from ._models_py3 import VirtualNetworkRule
except (SyntaxError, ImportError):
    from ._models import Account
    from ._models import AccountProperties
    from ._models import AccountSku
    from ._models import AccountSkuListResult
    from ._models import ApiKeys
    from ._models import ApiProperties
    from ._models import AzureEntityResource
    from ._models import CallRateLimit
    from ._models import CheckDomainAvailabilityParameter
    from ._models import CheckSkuAvailabilityParameter
    from ._models import DomainAvailability
    from ._models import Encryption
    from ._models import ErrorAdditionalInfo
    from ._models import ErrorDetail
    from ._models import ErrorResponse, ErrorResponseException
    from ._models import Identity
    from ._models import IpRule
    from ._models import KeyVaultProperties
    from ._models import MetricName
    from ._models import NetworkRuleSet
    from ._models import Operation
    from ._models import OperationDisplay
    from ._models import PrivateEndpoint
    from ._models import PrivateEndpointConnection
    from ._models import PrivateEndpointConnectionListResult
    from ._models import PrivateEndpointConnectionProperties
    from ._models import PrivateLinkResource
    from ._models import PrivateLinkResourceListResult
    from ._models import PrivateLinkResourceProperties
    from ._models import PrivateLinkServiceConnectionState
    from ._models import ProxyResource
    from ._models import QuotaLimit
    from ._models import RegenerateKeyParameters
    from ._models import RequestMatchPattern
    from ._models import Resource
    from ._models import ResourceSku
    from ._models import ResourceSkuRestrictionInfo
    from ._models import ResourceSkuRestrictions
    from ._models import Sku
    from ._models import SkuAvailability
    from ._models import SkuAvailabilityListResult
    from ._models import SkuCapability
    from ._models import SkuChangeInfo
    from ._models import SystemData
    from ._models import ThrottlingRule
    from ._models import TrackedResource
    from ._models import Usage
    from ._models import UsageListResult
    from ._models import UserAssignedIdentity
    from ._models import UserOwnedStorage
    from ._models import VirtualNetworkRule
from ._paged_models import AccountPaged
from ._paged_models import OperationPaged
from ._paged_models import ResourceSkuPaged
from ._cognitive_services_management_client_enums import (
    SkuTier,
    ResourceIdentityType,
    CreatedByType,
    ProvisioningState,
    NetworkRuleAction,
    KeySource,
    PrivateEndpointServiceConnectionStatus,
    PrivateEndpointConnectionProvisioningState,
    PublicNetworkAccess,
    KeyName,
    UnitType,
    QuotaUsageStatus,
    ResourceSkuRestrictionsType,
    ResourceSkuRestrictionsReasonCode,
    Origin,
    ActionType,
)

__all__ = [
    'Account',
    'AccountProperties',
    'AccountSku',
    'AccountSkuListResult',
    'ApiKeys',
    'ApiProperties',
    'AzureEntityResource',
    'CallRateLimit',
    'CheckDomainAvailabilityParameter',
    'CheckSkuAvailabilityParameter',
    'DomainAvailability',
    'Encryption',
    'ErrorAdditionalInfo',
    'ErrorDetail',
    'ErrorResponse', 'ErrorResponseException',
    'Identity',
    'IpRule',
    'KeyVaultProperties',
    'MetricName',
    'NetworkRuleSet',
    'Operation',
    'OperationDisplay',
    'PrivateEndpoint',
    'PrivateEndpointConnection',
    'PrivateEndpointConnectionListResult',
    'PrivateEndpointConnectionProperties',
    'PrivateLinkResource',
    'PrivateLinkResourceListResult',
    'PrivateLinkResourceProperties',
    'PrivateLinkServiceConnectionState',
    'ProxyResource',
    'QuotaLimit',
    'RegenerateKeyParameters',
    'RequestMatchPattern',
    'Resource',
    'ResourceSku',
    'ResourceSkuRestrictionInfo',
    'ResourceSkuRestrictions',
    'Sku',
    'SkuAvailability',
    'SkuAvailabilityListResult',
    'SkuCapability',
    'SkuChangeInfo',
    'SystemData',
    'ThrottlingRule',
    'TrackedResource',
    'Usage',
    'UsageListResult',
    'UserAssignedIdentity',
    'UserOwnedStorage',
    'VirtualNetworkRule',
    'AccountPaged',
    'ResourceSkuPaged',
    'OperationPaged',
    'SkuTier',
    'ResourceIdentityType',
    'CreatedByType',
    'ProvisioningState',
    'NetworkRuleAction',
    'KeySource',
    'PrivateEndpointServiceConnectionStatus',
    'PrivateEndpointConnectionProvisioningState',
    'PublicNetworkAccess',
    'KeyName',
    'UnitType',
    'QuotaUsageStatus',
    'ResourceSkuRestrictionsType',
    'ResourceSkuRestrictionsReasonCode',
    'Origin',
    'ActionType',
]
